Bug 246131 - devel/heaptrack: add actual tracking support
Summary: devel/heaptrack: add actual tracking support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 22:08 UTC by Greg V
Modified: 2020-05-17 13:00 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-05-02 22:08:18 UTC
I've ported the main part of heaptrack some time ago: https://github.com/KDE/heaptrack/pull/24

They haven't done a tagged release since, but I guess it might be worth picking up git master for now..?
Comment 1 Tobias C. Berner freebsd_committer 2020-05-16 17:33:38 UTC
Moin moin 

I tried to build from master, however it fials to build for me.  Do you have any local patches?


mfg Tobias
Comment 2 Greg V 2020-05-16 21:35:01 UTC
No, everything I have is upstreamed, master builds for me. What is the error? (I have only tried on CURRENT)
Comment 3 Tobias C. Berner freebsd_committer 2020-05-17 04:30:19 UTC
[  1%] Building C object 3rdparty/libbacktrace/CMakeFiles/backtrace.dir/backtrace.c.o
/home/Tobias/devel/heaptrack/3rdparty/libbacktrace/backtrace.c:37:10: fatal error: 'unwind.h' file not found
#include "unwind.h"
         ^~~~~~~~~~
1 error generated.
*** Error code 1
Comment 4 Greg V 2020-05-17 11:19:55 UTC
well, you do need to install devel/libunwind, as mentioned in the readme

% ldd -a build/lib/heaptrack/libheaptrack_inject.so
build/lib/heaptrack/libheaptrack_inject.so:
        libunwind.so.8 => /usr/local/lib/libunwind.so.8 (0x801e00000)
        …
Comment 5 Tobias C. Berner freebsd_committer 2020-05-17 12:52:24 UTC
(In reply to Greg V from comment #4)
I have that one installed, it looks like the CMake code needs some more work to properly add the compiler and linker paths. Adding localbase is a workable fix for now.
Comment 6 commit-hook freebsd_committer 2020-05-17 13:00:21 UTC
A commit references this bug:

Author: tcberner
Date: Sun May 17 12:59:24 UTC 2020
New revision: 535545
URL: https://svnweb.freebsd.org/changeset/ports/535545

Log:
  devel/heaptrack: update to latest commit

  - Now contains actual heaptrack suport provded by GregV in [1]

  [1] https://github.com/KDE/heaptrack/pull/24

  PR:		246131

Changes:
  head/devel/heaptrack/Makefile
  head/devel/heaptrack/distinfo
  head/devel/heaptrack/pkg-plist
Comment 7 Tobias C. Berner freebsd_committer 2020-05-17 13:00:42 UTC
Committed. Thanks.